/*
 *   This file is a part of the SteamWar software.
 *
 *   Copyright (C) 2025 SteamWar.de-Serverteam
 *
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU Affero General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *   GNU Affero General Public License for more details.
 *
 *   You should have received a copy of the GNU Affero General Public License
 *   along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package de.steamwar.bausystem.features.detonator;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@AllArgsConstructor
@RequiredArgsConstructor
@Getter
public enum Detoblock {
    SWITCH(0, true, "DETONATOR_BUTTON_SWITCH"),
    WOOD_BUTTON(30, "DETONATOR_BUTTON_WOOD_BUTTON"),
    STONE_BUTTON(20, "DETONATOR_BUTTON_STONE_BUTTON"),
    PRESSURE_PLATE(30, "DETONATOR_BUTTON_PRESSURE_PLATE"),
    WEIGHTED_PRESSURE_PLATE(20, "DETONATOR_BUTTON_WEIGHTED-PRESSURE_PLATE"),
    TRIPWIRE(30, "DETONATOR_BUTTON_TRIPWIRE"),
    NOTEBLOCK(1, "DETONATOR_BUTTON_NOTEBLOCK"),
    DAYLIGHTSENSOR(0, true, "DETONATOR_BUTTON_DAYLIGHTSENSOR"),
    POWERABLE(0, true, "DETONATOR_BUTTON_POWERABLE"),
    INVALID(-1, "DETONATOR_BUTTON_INVALID");

    private final int time;
    private boolean toggle;
    private final String name;
}
